Cygport Reference Manual

### TABLE OF CONTENTS

- clang.cygclass

## clang.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit [cross] clang

DESCRIPTION

Clang is a BSD-licensed compiler suite, based on the LLVM code-generation and optimization libraries, which supports a wide variety of platforms and architectures.

This cygclass sets CC, CXX, OBJC, and OBJCXX to use the clang compiler suite in place of GCC. If cross-compiling, clang.cygclass must be inherit()ed after cross.cygclass.